#2325 closed defect (fixed)

Broken console driver infrastructure for SPARC

Reported by: Sebastian Huber Owned by: Daniel Hellstrom
Priority: normal Milestone: 5.1
Component: arch/sparc Version: 5
Severity: blocker Keywords:
Cc: Blocked By:
Blocking:

Description

The stuff in "c/src/lib/libbsp/sparc/shared/uart/cons.c" should get removed and the new Termios device API should be used instead (see also rtems_termios_device_install()).

Change History (11)

comment:1 Changed on May 28, 2015 at 8:02:11 AM by Sebastian Huber

Severity: normalblocker
Summary: Superfluous console driver infrastructure for SPARCBroken console driver infrastructure for SPARC

The console devices installed with this driver are broken on SMP (attribute changes are not properly synchronized). In case RTEMS_DRVMGR_STARTUP is defined, then the SMP capable console driver "c/src/lib/libbsp/sparc/leon3/console/console.c" is disabled.

comment:2 Changed on Dec 30, 2015 at 6:46:26 PM by Ralph Holmes

Upon further inspection, c/src/lib/libbsp/sparc/shared/uart/cons.c and c/src/lib/libbsp/sparc/shared/include/cons.h do not appear to be referenced from anywhere, and contain dead code. These can be removed safely.

comment:3 Changed on Dec 30, 2015 at 7:12:51 PM by Joel Sherrill

I don't think the files are referenced either.

comment:4 Changed on Jan 4, 2016 at 9:06:51 AM by Sebastian Huber

The file cons.c defines console_initialize() etc., so it is referenced in case you add a console driver to your application configuration.

comment:5 Changed on Jan 25, 2017 at 1:42:57 PM by Sebastian Huber

Milestone: 4.114.12

comment:6 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:7 Changed on Aug 14, 2017 at 12:03:18 AM by Chris Johns

Version: 4.114.12

Any updates for this ticket? The severity is blocker

comment:8 Changed on Aug 22, 2017 at 8:24:51 AM by Daniel Hellstrom

The cons.c is used by the apbuart_cons.c driver used with the driver manager. cons.c and apbuart_cons.c were updated for SMP and to use the new termios device registration in H1 2017 (see patches from --author="maberg@…"). Therefore I think we can close this ticket now.

comment:9 Changed on Aug 22, 2017 at 8:25:20 AM by Daniel Hellstrom

Resolution: fixed
Status: newclosed

comment:10 Changed on Oct 16, 2017 at 6:23:46 AM by Sebastian Huber

Component: unspecifiedarch/sparc

comment:11 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.